> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Download export file

> Redirects to the export file when ready. Returns 409 while processing or 410 when expired.



## OpenAPI

````yaml /openapi.json get /api/exports/{id}/download
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/exports/{id}/download:
    get:
      tags:
        - Export
      summary: Download export file
      description: >-
        Redirects to the export file when ready. Returns 409 while processing or
        410 when expired.
      operationId: export_get_download
      parameters:
        - name: id
          in: path
          description: Export identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: token
          in: query
          description: >-
            Export download token from the notification email. Omit when
            authenticated as the export owner.
          required: false
          deprecated: false
          schema:
            type: string
          style: form
          explode: true
      responses:
        '200':
          description: Export resource
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Export.jsonld-export.read'
            application/json:
              schema:
                $ref: '#/components/schemas/Export-export.read'
            text/html:
              schema:
                $ref: '#/components/schemas/Export.html-export.read'
        '302':
          description: Redirect to the export file
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '409':
          description: Export is not ready yet
        '410':
          description: Export has expired
components:
  schemas:
    Export.jsonld-export.read:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            user:
              readOnly: true
              type: string
              format: iri-reference
              example: https://example.com/
            status:
              default: pending
              type: string
              enum:
                - pending
                - processing
                - completed
                - failed
            date_from:
              readOnly: true
              type: string
              format: date-time
            date_to:
              readOnly: true
              type: string
              format: date-time
            proxy_account_ids:
              readOnly: true
              type: array
              items:
                type:
                  - string
                  - 'null'
            download_url:
              type:
                - string
                - 'null'
            error_message:
              type:
                - string
                - 'null'
            completed_at:
              type:
                - string
                - 'null'
              format: date-time
            expires_at:
              type:
                - string
                - 'null'
              format: date-time
            count_download:
              default: 0
              type: integer
            message:
              readOnly: true
              type: string
      description: Export operations
    Export-export.read:
      type: object
      description: Export operations
      properties:
        id:
          readOnly: true
          type: string
        user:
          readOnly: true
          type: string
          format: iri-reference
          example: https://example.com/
        status:
          default: pending
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        date_from:
          readOnly: true
          type: string
          format: date-time
        date_to:
          readOnly: true
          type: string
          format: date-time
        proxy_account_ids:
          readOnly: true
          type: array
          items:
            type:
              - string
              - 'null'
        download_url:
          type:
            - string
            - 'null'
        error_message:
          type:
            - string
            - 'null'
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        count_download:
          default: 0
          type: integer
        message:
          readOnly: true
          type: string
    Export.html-export.read:
      type: object
      description: Export operations
      properties:
        id:
          readOnly: true
          type: string
        user:
          readOnly: true
          type: string
          format: iri-reference
          example: https://example.com/
        status:
          default: pending
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        date_from:
          readOnly: true
          type: string
          format: date-time
        date_to:
          readOnly: true
          type: string
          format: date-time
        proxy_account_ids:
          readOnly: true
          type: array
          items:
            type:
              - string
              - 'null'
        download_url:
          type:
            - string
            - 'null'
        error_message:
          type:
            - string
            - 'null'
        completed_at:
          type:
            - string
            - 'null'
          format: date-time
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
        count_download:
          default: 0
          type: integer
        message:
          readOnly: true
          type: string
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````